Bug 1413842 - Unit drop-down choices are ignored in the web page to edit resource limits
Summary: Unit drop-down choices are ignored in the web page to edit resource limits
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 06:09 UTC by Xingxing Xia
Modified: 2017-07-24 14:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-08 13:12:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0884 0 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.5 RPM Release Advisory 2017-04-12 22:50:07 UTC

Description Xingxing Xia 2017-01-17 06:09:21 UTC
Description of problem:
Unit drop-down choices are ignored in the web page to edit resource limits

Version-Release number of selected component (if applicable):
openshift v3.5.0.5+8f2840d

How reproducible:
Always

Steps to Reproduce:
1. Create DC
$ oc new-app openshift/hello-openshift
2. On DC page, click Actions --> Edit Resources Limits
3. Check unit choices
CPU: Choose Request unit "cores" from drop-down list, set value 1; set Limit value 512 milicores
Memory: Choose Request unit "GiB", set value 1; set Limit value 256 MiB
Then click Save

Actual results:
3. "Save" is not disabled.
After save, check the actual resources limits:
CPU: Request is set 1 milicores, i.e. "cores" is ignored!
Memory: Request is set 1 MiB. In fact, except MiB, the remaining units MB/GB/GiB are ignored

Expected results:
3. "Save" is disabled
In page, CPU and Memory should both prompt error message "Limit can't be less than request ..." as before

Additional info:

Comment 2 Troy Dawson 2017-01-20 23:01:13 UTC
This has been merged into ocp and is in OCP v3.5.0.7 or newer.

Comment 3 Xingxing Xia 2017-01-22 03:22:52 UTC
Verified in OCP v3.5.0.7. Steps in comment 0 now can get the written expected result. And it can save correct values into DC YAML when page saves CPU/Memory with various units. Thanks!


Note You need to log in before you can comment on or make changes to this bug.